<div class="content_title">Wypłata środków</div>
<?php
//print_r($afiliant_data);	
//print_r($prowizja);
//print_r($money);
//print_r($typ_rozliczenia);

//ilosc dni na wyplate pieniedzy
$this->config->load('global_settings');	
$global_settings = $this->config->item('global_settings');
$dni = $global_settings['afiliant']['ilosc_dni_na_wypalte_pieniedzy'];

if(!empty($afiliant_data[0]['nr_konta']))
{
	if(!empty($prowizja[0]['procent']) and !empty($typ_rozliczenia[0]['typ']))
	{
		$dok = 'fakturę';
		$dok2 = 'Faktura została wystawiona';
		$dok3 = 'faktury';
		
		if($typ_rozliczenia[0]['typ']!='Firma')
		{
			$dok = 'raport';
			$dok2 = 'Raport został wystawiony';
			$dok3 = 'raportu';
		}	
		
		//wyliczenie kasy

		$netto_seo = 0;
		$netto_sem = 0;
		$netto_razem = 0; 
		
		//kasa seo
		if(!empty($money['seo']))
		{
			foreach($money['seo'] as $mon)
			{
				foreach($mon as $m)
				{
					$netto_seo += $m['netto'];
				}			
			}
		}
		
		//kasa sem
       // print_r($money['sem']);
		
		if(!empty($money['sem']))
		{
			foreach($money['sem'] as $mon)
			{              
				foreach($mon as $m)
				{
					$netto_sem += $m['netto']*($m['prowizja_networds_sem']/100);
				}
			}
		}
		
		//uwzglednienie prowizji dla afilianta
		$netto_seo = round(($prowizja[0]['procent']*$netto_seo),2);
		$netto_sem = round(($prowizja_sem[0]['prowizja']*$netto_sem),2);
		$netto_razem = $netto_seo + $netto_sem;
		
		if(empty($this->session->userdata['wyplata']['krok']))
		{
			echo 'Pieniądze można wypłacać jeżeli stan zgromadzonych środków na koncie wyniesie 100 zł lub więcej.<br /><br />';
			echo 'Twój aktualny stan konta za poszczególne usługi wynosi:<br /><br />';
			echo 'SEO: <b>'.$netto_seo.' zł</b><br />';
			echo 'SEM: <b>'.$netto_sem.' zł</b><br /><br />';
			echo 'Razem : <b>'.$netto_razem.' zł</b> <br />';
            //echo 'Razem brutto: <b>'.round(((1.22*$netto_razem)),2).' zł</b> <br /><br /><br />';
		}
			
		if($netto_razem >= 100)
		{
			if(empty($this->session->userdata['wyplata']['krok']))
			{
				//wylacz platnosci online jezeli nie doslal wymaganych dokumentow
				$wylacz_online = '';
				$red_info = '';				
				
				echo 'Aktualny stan konta umożliwia wypłacenie zgromadzonych środków.<br /><br />';
				
				if($afiliant_data[0]['typ']=='Firma' and $afiliant_data[0]['dokumenty_firma']==0)
				{ 
					//$wylacz_online = 'disabled="disabled"';
					//$red_info = '<span style="color:red;">Aby skorzystać z systemu wystawiania faktur online musisz przesłać do nas wymagane dokumenty. Informacje o dokumentach znajdują się w umowie.</span>';
					
					echo '<span style="color:red;">Aby wypłacić pieniądze musisz do nas przesłać (e-mailem lub tradycyjną pocztą) wymagane dokumenty. Informacje o dokumentach znajdują się w umowie.</span>';
				}
				elseif($afiliant_data[0]['typ']=='Firma' and $afiliant_data[0]['dokumenty_firma']==1)
				{
					echo 'Wybierz opcję wypłaty:<br /><br /><form action="" onsubmit="return krok1()" method="post">
							<input type="radio" name="typ_rachunku" value="online" '.$wylacz_online.' /> <b>System wystawi '.$dok.' automatycznie online za ciebie</b><br />
							System przesyła dokument pdf online co znacznie przyspiesza wypłatę środków i zwalnia z obowiązku przesyłania dokumentu pocztą.<br />
							'.$red_info.'<br /><br />
							<input type="radio" name="typ_rachunku" value="wlasny" /> <b>Wystawisz '.$dok.' samodzielnie</b><br />
							Konieczne jest przesłanie dokumentu pocztą lub kurierem. <br /><br />							
							<input type="hidden" name="krok" value="1" />
					 	<input type="submit" name="wyplata" value="Dalej" />
					  </form>
					  
					  <script type="text/javascript">
					  	function krok1(){
					  		var type = $("input[@name=\'typ_rachunku\']:checked").val();					  		
					  		if(type!=undefined){					  			
								if(type=="wlasny")
								{
									var answer = confirm("Napewno chcesz wystawić '.$dok.' samodzielnie i wypłacić pieniądze? Operacji nie będzie można cofnąć");
									if (answer){
										return true;
									}
									else{
										return false;
									}																	
								}
								else
								{
					  				return true;
					  			}
							}else{
								alert("Proszę wybrać sposób wystawienia płatnośći");
					  			return false;		
							}}</script>';
				}
								
				if($afiliant_data[0]['typ']=='Osoba prywatna' and $afiliant_data[0]['dokumenty_osoba_prywatna']==0)
				{
					//$wylacz_online = 'disabled="disabled"';	
					//$red_info = '<span style="color:red;">Aby skorzystać z systemu wystawiania rachunków online musisz przesłać do nas wymagane dokumenty. Informacje o dokumentach znajdują się w umowie.</span>';
					echo '<span style="color:red;">Aby wypłacić pieniądze musisz do nas przesłać tradycyjną pocztą lub kurierem wymagane dokumenty. Informacje o dokumentach znajdują się w umowie.</span>';
				}
				elseif($afiliant_data[0]['typ']=='Osoba prywatna' and $afiliant_data[0]['dokumenty_osoba_prywatna']==1)
				{
					echo 'Czy chesz wypłacić pieniądze ?<br /><br /><form action="" onsubmit="return krok1()" method="post">							
							<input type="hidden" name="typ_rachunku" value="wlasny" /><br />														
							<input type="hidden" name="krok" value="1" />
					 	<input type="submit" name="wyplata" value="Tak, wypłać pieniądze" />
					  </form>
					  
					  <script type="text/javascript">
					  	function krok1(){
				  			var answer = confirm("Napewno chcesz wypłacić pieniądze? Operacji nie będzie można cofnąć");
								if (answer){
									return true;
								}
								else{
									return false;
								}																	
						}</script>';
				}	 
			}
			elseif($this->session->userdata['wyplata']['krok']==1 and $this->session->userdata['wyplata']['typ']=='wlasny')
			{
				//print_r($networds);
                echo 'Dane do '.$dok3;
				echo ':<br /><strong>'.$networds[0]['nazwa'].'<br />'.$networds[0]['ulica'].' '.$networds[0]['nr_budynku'].'<br />'.$networds[0]['kod_pocztowy'].' '.$networds[0]['miasto'].'<br />NIP: '.$networds[0]['nip'].'</strong>';
				echo '<br /><br />Wypłacona kwota: <b>'.$netto_razem.' zł</b><br /><br /><br />';
				echo 'Pieniądze zostaną przelane do '.$dni.' dni od dnia dzisiejszego';
								
				$this->baza_payments->afiliant_wyplac_srodki_wlasne($this->session->userdata['id'],$afiliant_data,$netto_razem,$money,$typ_rozliczenia[0]['typ']);
			}
			elseif($this->session->userdata['wyplata']['krok']==1)
			{
				echo '<form action="" onsubmit="return krok2()" method="post">
							<table>
							<tr><td>Numer dokumentu</td><td><input type="text" id="nr" name="nr" value="'.$nr.'" /></td></tr>
							<tr><td>Nazwa</td><td>'.$nazwa.'</td></tr>
							<tr><td>Adres</td><td>'.str_replace("\n","<br />",$adres).'</td></tr>
							<tr><td>Twój NIP</td><td>'.$nip.'</td></tr>
							<tr><td colspan="2">Jeżeli dane niepoprawne <a href="/afiliant/change_user_data"><b>zmień je</b></a></td></tr>
							</table>
							<input type="hidden" name="nazwa" value="'.$nazwa.'" />
							<input type="hidden" name="nr_systemowy" value="'.$nr.'" />
							<input type="hidden" name="krok" value="2" />
					 	<input type="submit" name="wyplata" value="Dalej" />
					  </form>
					  
					  <script type="text/javascript">
					  	function krok2(){
					  		var type =  $("#nr").val();					  						  		
					  		if(type!="" && type!=" "){					  			
								var answer = confirm("Napewno chcesz wystawić '.$dok.' automatycznie i wypłacić pieniądze? Operacji nie będzie można cofnąć");
									if (answer){
										return true;
									}
									else{
										return false;
									}		
							}else{
								alert("Proszę podać numer dokumentu");
					  			return false;		
							}}</script>';
			}
			elseif($this->session->userdata['wyplata']['krok']==2)
			{
				echo $dok2.'. Pieniądze zostaną przelane do '.$dni.' dni.<br /><br /> Przejdź do <a href="/afiliant/rozliczenia"><b>rozliczeń</b></a> aby ją zobaczyć';
				//print_r($post);
				$this->baza_payments->afiliant_wyplac_srodki_online($this->session->userdata['id'],$afiliant_data,$netto_razem,$money,$typ_rozliczenia[0]['typ'],$post);
			}
		}		
	}	
	else
	{
		echo "<p class='info_box'>Nie posiadzasz żadnych środków do rozliczenia.</p>";	
	}
}
else
{
	echo "<p class='info_box'>Uzupełnij dane numeru konta bankowego</p>";
}		
?>